sfcode An Online Competing and Development Environment

is-buffer

### Determine if an object is a <a href="http://nodejs.org/api/buffer.html"><tt>Buffer</tt></a> (including the <a href="https://github.com/feross/buffer">browserify Buffer</a>)

# Why not use <tt>Buffer.isBuffer</tt>?

This module lets you check if an object is a `Buffer` without using `Buffer.isBuffer` (which includes the whole buffer module in browserify).

It's future-proof and works in node too!

# install

npm install is-buffer

# usage

var isBuffer = require('is-buffer')
isBuffer(new Buffer(4)) // true
isBuffer(undefined) // false
isBuffer(null) // false
isBuffer('') // false
isBuffer(true) // false
isBuffer(false) // false
isBuffer(0) // false
isBuffer(1) // false
isBuffer(1.0) // false
isBuffer('string') // false
isBuffer({}) // false
isBuffer(function foo () {}) // false

# license

MIT. Copyright (C) Feross Aboukhadijeh.